> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fnskutoasin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Info Tasks



## OpenAPI

````yaml get /v1/InfoTask/GetMy
openapi: 3.0.0
info:
  title: ATO.BARCODE
  description: '<h4>Baseurl: <strong>https://ato.fnskutoasin.com</strong></h4>'
  version: 1.0.0
servers:
  - url: https://ato.fnskutoasin.com/api
security: []
paths:
  /v1/InfoTask/GetMy:
    get:
      tags:
        - InfoTask
      summary: Get My Info Tasks
      operationId: InfoTask_GetMy
      parameters:
        - name: SearchString
          in: query
          schema:
            type: string
            nullable: true
          x-position: 1
        - name: PageSize
          in: query
          schema:
            type: integer
            format: int32
          x-position: 2
        - name: PageNumber
          in: query
          schema:
            type: integer
            format: int32
          x-position: 3
      responses:
        '200':
          description: Status 200 OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResultOfInfoTaskResponse'
      security:
        - ApiKey: []
components:
  schemas:
    PaginatedResultOfInfoTaskResponse:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            data:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/InfoTaskResponse'
            currentPage:
              type: integer
              format: int32
            totalPages:
              type: integer
              format: int32
            totalCount:
              type: integer
              format: int32
            pageSize:
              type: integer
              format: int32
            hasPreviousPage:
              type: boolean
            hasNextPage:
              type: boolean
    Result:
      type: object
      additionalProperties: false
      properties:
        messages:
          type: array
          nullable: true
          items:
            type: string
        succeeded:
          type: boolean
    InfoTaskResponse:
      type: object
      additionalProperties: false
      properties:
        id:
          type: integer
          format: int64
        userId:
          type: string
          format: guid
        user:
          type: string
          nullable: true
        mainCode:
          type: string
          nullable: true
        secondaryCode:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        provider:
          $ref: '#/components/schemas/InfoTaskProvider'
        taskState:
          $ref: '#/components/schemas/TaskState'
        assignmentDate:
          type: string
          format: date-time
          nullable: true
        finishedOn:
          type: string
          format: date-time
          nullable: true
        createdOn:
          type: string
          format: date-time
        duration:
          type: number
          format: double
          nullable: true
        processingDuration:
          type: number
          format: double
          nullable: true
    InfoTaskProvider:
      type: integer
      description: |-
        0 = Amazon
        1 = Walmart
        2 = Homedepot
        3 = Target
      x-enumNames:
        - Amazon
        - Walmart
        - Homedepot
        - Target
      enum:
        - 0
        - 1
        - 2
        - 3
    TaskState:
      type: integer
      description: |-
        0 = Pending
        1 = Finished
        2 = Failed
      x-enumNames:
        - Pending
        - Finished
        - Failed
      enum:
        - 0
        - 1
        - 2
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Api-Key

````